package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.WcGruposUsuarios;
import com.cosmodas.EntCosmos.WcOfertaDescuento;
import com.cosmodas.EntCosmos.WcOfertasFlotantes;

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.persistence.Query;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

@Stateless
public class WcOfertaDescuentoFacade extends AbstractFacade<WcOfertaDescuento> implements WcOfertaDescuentoFacadeLocal {

    @PersistenceContext(unitName = "wcosmodasPersistent")
    private EntityManager em;

    @Override
    protected EntityManager getEntityManager() {
        return em;
    }

    public WcOfertaDescuentoFacade() {
        super(WcOfertaDescuento.class);
    }

    @Override
    public WcOfertaDescuento obtenerProductoDesc(String productoCodigo, String programaCodigo){

        List<WcOfertaDescuento> rsl = new ArrayList<>();

        Query q = em.createNativeQuery("SELECT * FROM dbcosmodas.wc_ofertas_descuentazos where producto_codigo = ?  and programa_codigo =?;", WcOfertaDescuento.class);
        q.setParameter(1, productoCodigo);
        q.setParameter(2, programaCodigo);

        rsl.addAll(q.getResultList());

        return rsl.get(0);

    }


}
